Table of Contents

Class: ConnectorCollection | Twisted-0.17.4/twisted/coil/app.py
--- | ---

Base Classes |
--- | ---
coil.ConfigCollection

Methods |
--- | ---

__init__ __repr__ __str__ _getHostPortFromName _getIndexFromName delEntity | getEntityType getStaticEntity listStaticEntities listStaticNames nameConstraint reallyPutEntity

| __init__

    __init__ ( self,  app )

| __repr__

    __repr__ ( self )

| __str__

    __str__ ( self )

| _getHostPortFromName

    _getHostPortFromName ( self,  name )

| _getIndexFromName

    _getIndexFromName ( self,  name )

Exceptions |
--- | ---
ValueError, "\"%s\" does not have a list index" %( name, )

| delEntity

    delEntity ( self,  name )

| getEntityType

    getEntityType ( self )

| getStaticEntity

    getStaticEntity ( self,  name )

| listStaticEntities

    listStaticEntities ( self )

| listStaticNames

    listStaticNames ( self )

| nameConstraint

    nameConstraint ( self,  name )

Exceptions |
--- | ---
roots.ConstraintViolation("Name %s is not a string" "in \"host:port\" format." %( repr( name ), ) )

| reallyPutEntity

    reallyPutEntity (
            self,
            name,
            connector,
            )

Adds a Connector to the Application.

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:16 2002 by HappyDoc version 2.0